## org.gnu.gdk
Class EventCrossing

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventCrossing

public class EventCrossing
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventCrossing(Handle handle)`

Method Summary
`protected static int` `getDetail(Handle obj)`
`protected static boolean` `getFocus(Handle obj)`
`protected static int` `getMode(Handle obj)`
`protected static boolean` `getSendEvent(Handle obj)`
`protected static int` `getState(Handle obj)`
`protected static Handle` `getSubwindow(Handle obj)`
`protected static int` `getTime(Handle obj)`
`protected static int` `getType(Handle obj)` BEGINNING OF GENERATED CODE
`protected static Handle` `getWindow(Handle obj)`
`protected static double` `getX(Handle obj)`
`protected static double` `getXRoot(Handle obj)`
`protected static double` `getY(Handle obj)`
`protected static double` `getYRoot(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventCrossing

    public EventCrossing(Handle handle)

Method Detail

### getType

    protected static final int getType(Handle obj)

  BEGINNING OF GENERATED CODE

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getSubwindow

    protected static final Handle getSubwindow(Handle obj)

### getTime

    protected static final int getTime(Handle obj)

### getX

    protected static final double getX(Handle obj)

### getY

    protected static final double getY(Handle obj)

### getXRoot

    protected static final double getXRoot(Handle obj)

### getYRoot

    protected static final double getYRoot(Handle obj)

### getMode

    protected static final int getMode(Handle obj)

### getDetail

    protected static final int getDetail(Handle obj)

### getFocus

    protected static final boolean getFocus(Handle obj)

### getState

    protected static final int getState(Handle obj)